------------------------------------------------------------------------------------
--Name:  	juqing4
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-03-22
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(41, 52)
local monster_0 = CppScriptMgr:AddPlayer(428, 64, 29, "", 0, 0)
monster_0:SetDir(7)
local monster_1 = CppScriptMgr:AddPlayer(428, 63, 35, "", 0, 0)
monster_1:SetDir(7)
local monster_2 = CppScriptMgr:AddPlayer(428, 54, 36, "", 0, 0)
monster_2:SetDir(7)
local monster_3 = CppScriptMgr:AddPlayer(428, 58, 42, "", 0, 0)
monster_3:SetDir(7)
local monster_4 = CppScriptMgr:AddPlayer(428, 51, 42, "", 0, 0)
monster_4:SetDir(7)
local monster_5 = CppScriptMgr:AddPlayer(430, 51, 48, "", 0, 0)
monster_5:SetDir(7)
local monster_6 = CppScriptMgr:AddPlayer(430, 42, 43, "", 0, 0)
monster_6:SetDir(7)
local monster_7 = CppScriptMgr:AddPlayer(430, 48, 54, "", 0, 0)
monster_7:SetDir(7)
local monster_8 = CppScriptMgr:AddPlayer(430, 40, 50, "", 0, 0)
monster_8:SetDir(7)
local monster_9 = CppScriptMgr:AddPlayer(430, 47, 46, "", 0, 0)
monster_9:SetDir(7)
local monster_10 = CppScriptMgr:AddPlayer(430, 41, 34, "", 0, 0)
monster_10:SetDir(7)
local monster_11 = CppScriptMgr:AddPlayer(430, 51, 48, "", 0, 0)
monster_11:SetDir(7)
local monster_12 = CppScriptMgr:AddPlayer(428, 46, 28, "", 0, 0)
monster_12:SetDir(7)
local monster_13 = CppScriptMgr:AddPlayer(428, 60, 60, "", 0, 0)
monster_13:SetDir(7)
CppScriptMgr:WaitMilSec(90)
CppScriptMgr:NpcCallOut("Amber Meadow is the last place where Rose was seen. Maybe we can find the trace of Rose here.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202307", 150, 430, "RedQueen", 250, 655, false)
MoveView(44, 49, 64, 29, 2, 33, 2500)
monster_1:SetAction(401)
monster_8:SetAction(401)
CppScriptMgr:WaitMilSec(160)
monster_0:SetAction(401)
CppScriptMgr:WaitMilSec(220)
monster_5:SetAction(401)
monster_10:SetAction(401)
monster_11:SetAction(401)
CppScriptMgr:WaitMilSec(350)
monster_7:SetAction(401)
monster_9:SetAction(401)
CppScriptMgr:WaitMilSec(140)
monster_3:SetAction(401)
monster_1:SetAction(401)
CppScriptMgr:WaitMilSec(360)
monster_3:SetAction(401)
CppScriptMgr:WaitMilSec(80)
monster_0:SetAction(401)
monster_6:SetAction(401)
CppScriptMgr:WaitMilSec(320)
monster_2:SetAction(401)
monster_8:SetAction(401)
monster_12:SetAction(401)
monster_13:SetAction(401)
CppScriptMgr:WaitMilSec(140)
monster_4:SetAction(401)
CppScriptMgr:WaitMilSec(260)
monster_4:SetAction(401)
CppScriptMgr:WaitMilSec(260)
monster_9:SetAction(401)
CppScriptMgr:WaitMilSec(160)
monster_5:SetAction(401)
monster_10:SetAction(401)
monster_11:SetAction(401)
CppScriptMgr:WaitMilSec(280)
monster_2:SetAction(401)
monster_12:SetAction(401)
monster_13:SetAction(401)
CppScriptMgr:WaitMilSec(110)
monster_6:SetAction(401)
monster_7:SetAction(401)
CppScriptMgr:WaitMilSec(480)